---
Title: Gérer vos mots de passe avec pass
Date: 2019-04-22 19:00
Modified: 2019-04-24 11:12
Lang: fr
Author: Fabrice
Category: programmes
Tags: pass, git
Slug: password-store 
Header_Cover: ../images/covers/clovers.jpg
Summary: Un gestionnaire de mots de passe simple qui repose sur gpg, et synchronisé via git.
---

Comme nous vivons dans un monde dangereux où les failles de sécurité sont découvertes tous les jours et où les fuites de données sont devenues monnaies courantes, il est recommandé d’utiliser un mot de passe différent pour chacune de nos identités numériques.
Cependant, cela devient vite une horreur à maintenir manuellement, j’avais essayé d’utiliser un bloc note en 2003 que j’ai perdu au bout d’un mois (et les mots de passe avec).

Heureusement, les gestionnaires de mots de passes ont fleurit depuis, et plusieurs proposent des fonctionnalités de base similaires : multiplateforme (en particulier sur les téléphones intelligents), génération de mots de passe « sécurisés », intégration navigateur…

Je ne vais pas pour faire une comparaison détaillée, mais si vous souhaitez jeter un coup d’œil, [wikipedia](https://en.wikipedia.org) propose une table de comparaison détaillée [**par ici** (en)](https://en.wikipedia.org/wiki/List_of_password_managers).

Dans cette recherche, grâce à [moviuro](https://try.popho.be), mon choix s’est porté sur [pass](https://www.passwordstore.org/) avec [pass-otp](https://github.com/tadfisher/pass-otp#readme) (et [passmenu](https://git.zx2c4.com/password-store/tree/contrib/dmenu)).
Je n’ai pas non plus la prétention de faire un guide détaillé sur pass, comme ceux-ci sont déjà faciles à trouver sur internet,  par exemple [**par ici** (en)](https://medium.com/@chasinglogic/the-definitive-guide-to-password-store-c337a8f023a1).

En résumé, pass est un script bash qui fait appel à des outils de base comme [git](https://git-scm.com/), [gpg](https://www.gnupg.org/), et est écrit par [zx2c4](https://www.zx2c4.com/).

Voici quelques commandes que j’utilise souvent :

```sh
pass generate -i <pass-name>
```
Pour **re**générer un mot de passe, l’option `-i` ici est **importante** puisqu’elle permet de ne réécrire que la première ligne du fichier (en général le mot de passe).
Cela évite donc de devoir utiliser du [git sale]({filename}/cheat-sheets/git-fr.md) pour retirer l’erreur de l’arbre des commits vu que `pass <cmd>` fait automatiquement un commit atomique à la fin de la commande.
Je l’oublie parfois, c’est pourquoi je laisse ça ici en guise de rappel.

```sh
pass git <ce que vous voulez>
```
Pour faire *ce que vous voulez* avec gite, spécialement du *git sale* 😉

Finalement, j’utilise [password-store](https://f-droid.org/en/packages/dev.msfjarvis.aps/) sur mon téléphone.
